{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "TNsnv",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#tnsnv.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--call_stats_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/call_stats_out_file"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--contamination_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/contamination_frac"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#tnsnv.cwl/cosmic"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#tnsnv.cwl/dbsnp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--detect_pon",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/detect_pon"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#tnsnv.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#tnsnv.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--max_alt_mapq",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_alt_mapq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--max_indel",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_indel"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--max_mapq0_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_mapq0_frac"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--max_normal_alt_cnt",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_normal_alt_cnt"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--max_normal_alt_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_normal_alt_frac"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--max_normal_alt_qsum",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_normal_alt_qsum"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--max_read_clip_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/max_read_clip_frac"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--merge",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/merge"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "--merge_txt",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/merge_txt"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--min_base_qual",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_base_qual"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_cell_mutation_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_cell_mutation_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_dbsnp_normal_lod",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_dbsnp_normal_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_init_tumor_lod",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_init_tumor_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_normal_allele_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_normal_allele_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_normal_lod",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_normal_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_pir_mad",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_pir_mad"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_pir_median",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_pir_median"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_strand_bias_lod",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_strand_bias_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_strand_bias_power",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_strand_bias_power"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_tumor_allele_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_tumor_allele_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--min_tumor_lod",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/min_tumor_lod"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--normal_depth_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/normal_depth_out_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--normal_sample",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/normal_sample"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#tnsnv.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 180
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#tnsnv.cwl/part_output"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#tnsnv.cwl/pon"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--pon_sample",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/pon_sample"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "inputBinding": {
                        "prefix": "--power_allele_frac",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/power_allele_frac"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--power_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/power_out_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--q20cov_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/q20cov_out_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-q"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#tnsnv.cwl/qcal"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#tnsnv.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#tnsnv.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--stdcov_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/stdcov_out_file"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#tnsnv.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--tumor_depth_out",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/tumor_depth_out_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--tumor_sample",
                        "position": 110
                    },
                    "id": "#tnsnv.cwl/tumor_sample"
                }
            ],
            "stderr": "tnsnv.log",
            "id": "#tnsnv.cwl",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.call_stats_out_file)"
                    },
                    "id": "#tnsnv.cwl/call_stats_output"
                },
                {
                    "type": "File",
                    "id": "#tnsnv.cwl/log",
                    "outputBinding": {
                        "glob": "tnsnv.log"
                    }
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.normal_depth_out_file)"
                    },
                    "id": "#tnsnv.cwl/normal_depth_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#tnsnv.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.power_out_file)"
                    },
                    "id": "#tnsnv.cwl/power_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.q20cov_out_file)"
                    },
                    "id": "#tnsnv.cwl/q20cov_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.stdcov_out_file)"
                    },
                    "id": "#tnsnv.cwl/stdcov_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_depth_out_file)"
                    },
                    "id": "#tnsnv.cwl/tumor_depth_output"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "id": "#main/advanced_options"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/contamination_frac"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/cosmic"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/dbsnp"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/detect_pon"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#main/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "id": "#main/interval"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/max_alt_mapq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_indel"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/max_mapq0_frac"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_normal_alt_cnt"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/max_normal_alt_frac"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/max_normal_alt_qsum"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/max_read_clip_frac"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/min_base_qual"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_cell_mutation_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_dbsnp_normal_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_init_tumor_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_normal_allele_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_normal_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_pir_mad"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_pir_median"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_strand_bias_lod"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_strand_bias_power"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_tumor_allele_frac"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/min_tumor_lod"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/normal_sample"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-d",
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/pon"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/pon_sample"
                },
                {
                    "type": [
                        "null",
                        "double"
                    ],
                    "id": "#main/power_allele_frac"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "id": "#main/qcal"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#main/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/tumor_sample"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/merge/output",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#main/merge/merge"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/merge/output_file"
                        },
                        {
                            "source": "#main/tnsnv/output",
                            "id": "#main/merge/part_output"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/merge/threads"
                        }
                    ],
                    "out": [
                        "#main/merge/output"
                    ],
                    "run": "#tnsnv.cwl",
                    "id": "#main/merge"
                },
                {
                    "in": [
                        {
                            "source": "#main/output_file",
                            "id": "#main/tnsnv/_output"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/tnsnv/_shard"
                        },
                        {
                            "source": "#main/advanced_options",
                            "id": "#main/tnsnv/advanced_options"
                        },
                        {
                            "source": "#main/contamination_frac",
                            "id": "#main/tnsnv/contamination_frac"
                        },
                        {
                            "source": "#main/cosmic",
                            "id": "#main/tnsnv/cosmic"
                        },
                        {
                            "source": "#main/dbsnp",
                            "id": "#main/tnsnv/dbsnp"
                        },
                        {
                            "source": "#main/detect_pon",
                            "id": "#main/tnsnv/detect_pon"
                        },
                        {
                            "source": "#main/input_bam",
                            "id": "#main/tnsnv/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/tnsnv/interval"
                        },
                        {
                            "source": "#main/max_alt_mapq",
                            "id": "#main/tnsnv/max_alt_mapq"
                        },
                        {
                            "source": "#main/max_indel",
                            "id": "#main/tnsnv/max_indel"
                        },
                        {
                            "source": "#main/max_mapq0_frac",
                            "id": "#main/tnsnv/max_mapq0_frac"
                        },
                        {
                            "source": "#main/max_normal_alt_cnt",
                            "id": "#main/tnsnv/max_normal_alt_cnt"
                        },
                        {
                            "source": "#main/max_normal_alt_frac",
                            "id": "#main/tnsnv/max_normal_alt_frac"
                        },
                        {
                            "source": "#main/max_normal_alt_qsum",
                            "id": "#main/tnsnv/max_normal_alt_qsum"
                        },
                        {
                            "source": "#main/max_read_clip_frac",
                            "id": "#main/tnsnv/max_read_clip_frac"
                        },
                        {
                            "source": "#main/min_base_qual",
                            "id": "#main/tnsnv/min_base_qual"
                        },
                        {
                            "source": "#main/min_cell_mutation_frac",
                            "id": "#main/tnsnv/min_cell_mutation_frac"
                        },
                        {
                            "source": "#main/min_dbsnp_normal_lod",
                            "id": "#main/tnsnv/min_dbsnp_normal_lod"
                        },
                        {
                            "source": "#main/min_init_tumor_lod",
                            "id": "#main/tnsnv/min_init_tumor_lod"
                        },
                        {
                            "source": "#main/min_normal_allele_frac",
                            "id": "#main/tnsnv/min_normal_allele_frac"
                        },
                        {
                            "source": "#main/min_normal_lod",
                            "id": "#main/tnsnv/min_normal_lod"
                        },
                        {
                            "source": "#main/min_pir_mad",
                            "id": "#main/tnsnv/min_pir_mad"
                        },
                        {
                            "source": "#main/min_pir_median",
                            "id": "#main/tnsnv/min_pir_median"
                        },
                        {
                            "source": "#main/min_strand_bias_lod",
                            "id": "#main/tnsnv/min_strand_bias_lod"
                        },
                        {
                            "source": "#main/min_strand_bias_power",
                            "id": "#main/tnsnv/min_strand_bias_power"
                        },
                        {
                            "source": "#main/min_tumor_allele_frac",
                            "id": "#main/tnsnv/min_tumor_allele_frac"
                        },
                        {
                            "source": "#main/min_tumor_lod",
                            "id": "#main/tnsnv/min_tumor_lod"
                        },
                        {
                            "source": "#main/normal_sample",
                            "id": "#main/tnsnv/normal_sample"
                        },
                        {
                            "source": "#main/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + \".\" + inputs._output.split(\".\").pop();\n}\n",
                            "id": "#main/tnsnv/output_file"
                        },
                        {
                            "source": "#main/pon",
                            "id": "#main/tnsnv/pon"
                        },
                        {
                            "source": "#main/pon_sample",
                            "id": "#main/tnsnv/pon_sample"
                        },
                        {
                            "source": "#main/power_allele_frac",
                            "id": "#main/tnsnv/power_allele_frac"
                        },
                        {
                            "source": "#main/qcal",
                            "id": "#main/tnsnv/qcal"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/tnsnv/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/tnsnv/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/tnsnv/threads"
                        },
                        {
                            "source": "#main/tumor_sample",
                            "id": "#main/tnsnv/tumor_sample"
                        }
                    ],
                    "out": [
                        "#main/tnsnv/output"
                    ],
                    "scatter": [
                        "#main/tnsnv/shard",
                        "#main/tnsnv/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#tnsnv.cwl",
                    "id": "#main/tnsnv"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
